=== debian/control ===
Source: ros-indigo-fetcheus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-fetch-description, ros-indigo-fetch-gazebo, ros-indigo-fetch-moveit-config, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-fetcheus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-fetch-description, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit
Description: The fetcheus package
